Loading...
Searching...
No Matches
Expression-inl.h File Reference

Internals for Expression.h, not for general consumption. More...

Go to the source code of this file.

## Classes

struct | gtsam::internal::apply_compose< T >
struct | gtsam::internal::apply_compose< double >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<typename T>
Expression< T > | gtsam::operator* (const Expression< T > &expression1, const Expression< T > &expression2)
| Construct a product expression, assumes T::compose(T) -> T.
template<typename T>
std::vector< Expression< T > > | gtsam::createUnknowns (size_t n, char c, size_t start)
| Construct an array of leaves.

## Detailed Description

Internals for Expression.h, not for general consumption.

Date
  September 18, 2014

Author
  Frank Dellaert
  Paul Furgale